GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gridfire::solver::QSENetworkSolver::JacobianFunctor Struct Reference

Functor for calculating the Jacobian matrix of the ODEs for the dynamic species. More...

## Public Member Functions
| JacobianFunctor (DynamicEngine &engine, const std::vector< size_t > &dynamicSpeciesIndices, const std::vector< size_t > &QSESpeciesIndices, const double T9, const double rho)
| Constructor for the JacobianFunctor.
void | operator() (const boost::numeric::ublas::vector< double > &YDynamic, boost::numeric::ublas::matrix< double > &JDynamic, double t, boost::numeric::ublas::vector< double > &dfdt) const
| Calculates the Jacobian matrix of the ODEs for the dynamic species.

## Public Attributes
DynamicEngine & | m_engine
| The engine used to evaluate the network.
const std::vector< size_t > & | m_dynamicSpeciesIndices
| Indices of the dynamic species.
const std::vector< size_t > & | m_QSESpeciesIndices
| Indices of the QSE species.
const double | m_T9
| Temperature in units of 10^9 K.
const double | m_rho
| Density in g/cm^3.

## Detailed Description

Functor for calculating the Jacobian matrix of the ODEs for the dynamic species.

This functor is used by the ODE solver to calculate the Jacobian matrix of the ODEs for the dynamic species. It takes the current abundances of the dynamic species as input and returns the Jacobian matrix.

Todo
  Implement the Jacobian functor.

Definition at line 259 of file solver.h.

## Constructor & Destructor Documentation

## ◆ JacobianFunctor()

gridfire::solver::QSENetworkSolver::JacobianFunctor::JacobianFunctor | ( | DynamicEngine & | engine,
|  | const std::vector< size_t > & | dynamicSpeciesIndices,
|  | const std::vector< size_t > & | QSESpeciesIndices,
|  | const double | T9,
|  | const double | rho )
| inline

Constructor for the JacobianFunctor.

Parameters

  engine | The engine used to evaluate the network.
  dynamicSpeciesIndices | Indices of the dynamic species.
  QSESpeciesIndices | Indices of the QSE species.
  T9 | Temperature in units of 10^9 K.
  rho | Density in g/cm^3.

Definition at line 274 of file solver.h.

## Member Function Documentation

## ◆ operator()()

void gridfire::solver::QSENetworkSolver::JacobianFunctor::operator() | ( | const boost::numeric::ublas::vector< double > & | YDynamic,
|  | boost::numeric::ublas::matrix< double > & | JDynamic,
|  | double | t,
|  | boost::numeric::ublas::vector< double > & | dfdt ) const

Calculates the Jacobian matrix of the ODEs for the dynamic species.

Parameters

  YDynamic | Vector of current abundances for the dynamic species.
  JDynamic | Matrix to store the Jacobian matrix.
  t | Current time.
  dfdt | Vector to store the time derivatives of the dynamic species (not used).

## Member Data Documentation

## ◆ m_dynamicSpeciesIndices

const std::vector<size_t>& gridfire::solver::QSENetworkSolver::JacobianFunctor::m_dynamicSpeciesIndices

Indices of the dynamic species.

Definition at line 261 of file solver.h.

## ◆ m_engine

DynamicEngine& gridfire::solver::QSENetworkSolver::JacobianFunctor::m_engine

The engine used to evaluate the network.

Definition at line 260 of file solver.h.

## ◆ m_QSESpeciesIndices

const std::vector<size_t>& gridfire::solver::QSENetworkSolver::JacobianFunctor::m_QSESpeciesIndices

Indices of the QSE species.

Definition at line 262 of file solver.h.

## ◆ m_rho

const double gridfire::solver::QSENetworkSolver::JacobianFunctor::m_rho

Density in g/cm^3.

Definition at line 264 of file solver.h.

## ◆ m_T9

const double gridfire::solver::QSENetworkSolver::JacobianFunctor::m_T9

Temperature in units of 10^9 K.

Definition at line 263 of file solver.h.

The documentation for this struct was generated from the following file:

- src/network/include/gridfire/solver/solver.h